<!-- Generated by pkgdown: do not edit by hand -->
<!DOCTYPE html>
<html lang="en">
  <head>
  <meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1.0">

<title>ODE model of virus-RBC binding — model_virus_rbc_binding • himodel</title>

<!-- jquery -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.3.1/jquery.min.js" integrity="sha256-FgpCb/KJQlLNfOu91ta32o/NMZxltwRo8QtmkMRdAu8=" crossorigin="anonymous"></script>
<!-- Bootstrap -->

<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/3.3.7/css/bootstrap.min.css" integrity="sha256-916EbMg70RQy9LHiGkXzG8hSg9EdNy97GazNG/aiY1w=" crossorigin="anonymous" />
<script src="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/3.3.7/js/bootstrap.min.js" integrity="sha256-U5ZEeKfGNOja007MMD3YBI0A3OSZOQbeG6z2f2Y0hu8=" crossorigin="anonymous"></script>

<!-- Font Awesome icons -->
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.7.1/css/all.min.css" integrity="sha256-nAmazAk6vS34Xqo0BSrTb+abbtFlgsFK7NKSi6o7Y78=" crossorigin="anonymous" />
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.7.1/css/v4-shims.min.css" integrity="sha256-6qHlizsOWFskGlwVOKuns+D1nB6ssZrHQrNj1wGplHc=" crossorigin="anonymous" />

<!-- clipboard.js -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/clipboard.js/2.0.4/clipboard.min.js" integrity="sha256-FiZwavyI2V6+EXO1U+xzLG3IKldpiTFf3153ea9zikQ=" crossorigin="anonymous"></script>

<!-- headroom.js -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/headroom/0.9.4/headroom.min.js" integrity="sha256-DJFC1kqIhelURkuza0AvYal5RxMtpzLjFhsnVIeuk+U=" crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/headroom/0.9.4/jQuery.headroom.min.js" integrity="sha256-ZX/yNShbjqsohH1k95liqY9Gd8uOiE1S4vZc+9KQ1K4=" crossorigin="anonymous"></script>

<!-- pkgdown -->
<link href="../pkgdown.css" rel="stylesheet">
<script src="../pkgdown.js"></script>



<meta property="og:title" content="ODE model of virus-RBC binding — model_virus_rbc_binding" />

<meta property="og:description" content="Ordinary differential equations (ODEs) describing reversible
  binding of influenza virus \(V(t)\) to red blood cells \(RBC\). Used by
  virus_density_on_rbc to compute virus density on
  RBCs, denoted by \(\rho(t)\).
$$
  \frac{d V(t)}{dt} = - k_\text{ass}^\text{RBC} \
  \underbrace{( 1 - \theta ) r V(t)}_\text{free virus sites}
  \underbrace{\left[1 - \rho(t)\right] b RBC_\text{total}}_\text{free RBC sites}
  + k_\text{diss}^\text{RBC} \
  \underbrace{\frac{b}{b^*} \rho(t) RBC_\text{total}}_\text{bound RBC sites}
  $$
$$
  \frac{d \rho(t)}{dt} = - \dfrac{dV}{dt} \dfrac{b^*}{b RBC_\text{total}}
  $$" />
<meta name="twitter:card" content="summary" />



<!-- mathjax -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.5/MathJax.js" integrity="sha256-nvJJv9wWKEm88qvoQl9ekL2J+k/RWIsaSScxxlsrv8k=" crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.5/config/TeX-AMS-MML_HTMLorMML.js" integrity="sha256-84DKXVJXs0/F8OTMzX4UR909+jtl4G7SPypPavF+GfA=" crossorigin="anonymous"></script>

<!--[if lt IE 9]>
<script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
<script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
<![endif]-->



  </head>

  <body>
    <div class="container template-reference-topic">
      <header>
      <div class="navbar navbar-default navbar-fixed-top" role="navigation">
  <div class="container">
    <div class="navbar-header">
      <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false">
        <span class="sr-only">Toggle navigation</span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
      </button>
      <span class="navbar-brand">
        <a class="navbar-link" href="../index.html">himodel</a>
        <span class="version label label-default" data-toggle="tooltip" data-placement="bottom" title="Released version">0.9</span>
      </span>
    </div>

    <div id="navbar" class="navbar-collapse collapse">
      <ul class="nav navbar-nav">
        <li>
  <a href="../index.html">
    <span class="fas fa fas fa-home fa-lg"></span>
     
  </a>
</li>
<li>
  <a href="../articles/himodel.html">Get started</a>
</li>
<li>
  <a href="../reference/index.html">Reference</a>
</li>
      </ul>
      
      <ul class="nav navbar-nav navbar-right">
        
      </ul>
      
    </div><!--/.nav-collapse -->
  </div><!--/.container -->
</div><!--/.navbar -->

      

      </header>

<div class="row">
  <div class="col-md-9 contents">
    <div class="page-header">
    <h1>ODE model of virus-RBC binding</h1>
    
    <div class="hidden name"><code>model_virus_rbc_binding.Rd</code></div>
    </div>

    <div class="ref-description">
    
    <p>Ordinary differential equations (ODEs) describing reversible
  binding of influenza virus \(V(t)\) to red blood cells \(RBC\). Used by
  <code><a href='virus_density_on_rbc.html'>virus_density_on_rbc</a></code> to compute virus density on
  RBCs, denoted by \(\rho(t)\).</p>
<p>$$
  \frac{d V(t)}{dt} = - k_\text{ass}^\text{RBC} \
  \underbrace{( 1 - \theta ) r V(t)}_\text{free virus sites}
  \underbrace{\left[1 - \rho(t)\right] b RBC_\text{total}}_\text{free RBC sites}
  + k_\text{diss}^\text{RBC} \
  \underbrace{\frac{b}{b^*} \rho(t) RBC_\text{total}}_\text{bound RBC sites}
  $$</p>
<p>$$
  \frac{d \rho(t)}{dt} = - \dfrac{dV}{dt} \dfrac{b^*}{b RBC_\text{total}}
  $$</p>
    
    </div>

    <pre class="usage"><span class='fu'>model_virus_rbc_binding</span>(<span class='no'>t</span>, <span class='no'>cinit</span>, <span class='no'>parms</span>)</pre>
    
    <h2 class="hasAnchor" id="arguments"><a class="anchor" href="#arguments"></a>Arguments</h2>
    <table class="ref-arguments">
    <colgroup><col class="name" /><col class="desc" /></colgroup>
    <tr>
      <th>t</th>
      <td><p>Time vector in seconds.</p></td>
    </tr>
    <tr>
      <th>cinit</th>
      <td><p>Vector of initial conditions (<code>virus</code>, <code>rho</code>,
<code>theta</code>, <code>rbc</code>).</p></td>
    </tr>
    <tr>
      <th>parms</th>
      <td><p>Vector of parameters (<code>k_ass_rbc</code>, <code>k_diss_rbc</code>,
<code>r</code>, <code>b</code>, <code>b_star</code>).</p></td>
    </tr>
    </table>
    
    <h2 class="hasAnchor" id="value"><a class="anchor" href="#value"></a>Value</h2>

    <p>A list, passed on to <code>func</code> argument of <code><a href='https://rdrr.io/pkg/deSolve/man/ode.html'>ode</a></code>.</p>
    

  </div>
  <div class="col-md-3 hidden-xs hidden-sm" id="sidebar">
    <h2>Contents</h2>
    <ul class="nav nav-pills nav-stacked">
      <li><a href="#arguments">Arguments</a></li>
      
      <li><a href="#value">Value</a></li>
          </ul>

  </div>
</div>


      <footer>
      <div class="copyright">
  <p>Developed by Janina Linnik.</p>
</div>

<div class="pkgdown">
  <p>Site built with <a href="https://pkgdown.r-lib.org/">pkgdown</a> 1.4.1.</p>
</div>

      </footer>
   </div>

  


  </body>
</html>


